nvme_get_features_lba_range2(9)

NAME
nvme_get_features_lba_range2 - Get LBA range feature

SYNOPSIS
int nvme_get_features_lba_range2 (int fd , enum nvme_get_features_sel sel , __u32 nsid , struct nvme_lba_range_type *data , __u32 *result );

ARGUMENTS

fd  File descriptor of nvme device

sel Select which type of attribute to return, see enum nvme_get_features_sel

nsid
    Namespace ID

data
    Buffer to receive LBA Range Type data structure

result
    The command completion result from CQE dword0

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.